=== modified file 'NEWS'
--- NEWS	2007-04-22 20:37:17 +0000
+++ NEWS	2007-04-30 20:10:40 +0000
@@ -8,6 +8,8 @@
   * Tags support added: 'gtags' command and Branch->Tags menu entry in Olive
   (#103725, Szilveszter)
 
+  * Sort plugins in gpreferences (Jelmer)
+
 0.15.2	2007-04-03
 
  BUG FIXES

=== modified file 'preferences.py'
--- preferences.py	2007-03-13 16:48:48 +0000
+++ preferences.py	2007-04-30 20:10:40 +0000
@@ -173,8 +173,11 @@
         treeview.append_column(column)
         
         import bzrlib.plugin
-        for name, plugin in bzrlib.plugin.all_plugins().items():
-            model.append([name, getattr(plugin, '__file__', None)])
+        plugins = bzrlib.plugin.all_plugins()
+        plugin_names = plugins.keys()
+        plugin_names.sort()
+        for name in plugin_names:
+            model.append([name, getattr(plugins[name], '__file__', None)])
                  
         vbox.pack_start(scrolledwindow, expand=True, fill=True)
 

